#pragma once

#include <imgui.h>
#include <vector>

#include "../config.h"
#include "../logcat_entry.h"
#include "../logcat_thread.h"

void main_window(bool latest_log_entries_read, ImFont* monospace_font, LogcatThread& logcat_thread,
        std::vector<LogcatEntry>& logcat_entries, std::vector<size_t>& filtered_logcat_entry_offsets,
        const Config& __restrict active_config, Config& __restrict inactive_config,
        bool* __restrict show_settings_window, bool* __restrict show_filters_window, bool* __restrict show_exclusions_window, bool* __restrict show_logs_window);
